<?php

include 'ppc.php';

//declare a new proactive password checker
$ppc = new proactive_password_checker();

//load the password, this also triggers the analysis and stores the results in public variables
$ppc->load_password('fpa$$w0rdi');

//once the password has been loaded, the proactive password checker evaluates the password by detecting dictionary words, dictionary words with charactor substitutions, random letters, random numbers and random symbols.

//dictionary words are assigned a score equal to the size of the dictionary
//character substitiutions (including upper case letters) are assigned a value of 2
//random letters are assigned a score of 26
//random numbers score 10
//random symbols score 20

//The quality of word detection will depends on the dictionary used, a bigger dictionary will detect more but will increase CPU load and memory usage.

//Retreaving information about the password analysis can be achieved by quirying the following public variables in the proactive password checker class.

echo '<p>Password Words = ';
myprint_r($ppc->password_words);

echo '</p><p>Password Randoms = ';
myprint_r($ppc->password_randoms);

echo '</p><p>Password Substitions = ';
myprint_r($ppc->password_substitutions);

echo '</p><p>Password Repeats = ';
myprint_r($ppc->password_repeats);

echo '</p>';

function myprint_r($array)
{
	if(isset($array))
	{
		foreach($array as $temp)
		{
			echo $temp;
		}
	}
}

//for($x=0;$x<sizeof($ppc->password_words);echo $ppc->password_words[$x++]);

//The final score can be found with the get_total_score function/
//a more user friendly score can be found with the strength_guage method
//which simple uses strlen() to find count the length of the score
//to give an exponential measure of the password strength and therefore a much smaller number

echo '<p>Total Score = ' . $ppc->get_total_score() . '</p>';
echo '<p>Strength = ' . $ppc->strength_guage() . '</p>';

?>